vendredi 10 juillet 2020    || Inscription
BanniereAlertes
 
 

Notre sélection d'alertes et avis SSI.
Sources : US Cert, Cert EU, Cert FR, Cnil, VulDB.

lundi 1 avril 2019

ktlint up to 0.29.x Code Execution [CVE-2019-1010260]

A vulnerability was found in ktlint up to 0.29.x. It has been classified as critical. This affects code. The manipulation with an unknown input leads to a privilege escalation vulnerability (Code Execution). CWE is classifying the issue as CWE-269. This is going to have an impact on confidentiality, integrity, and availability.

The weakness was released 04/02/2019. This vulnerability is uniquely identified as CVE-2019-1010260 since 03/20/2019. The technical details are unknown and an exploit is not publicly available.

Upgrading to version 0.30.0 eliminates this vulnerability.

Product

Product

CPE

CVSSv3

VulDB Meta Base Score: 5.5
VulDB Meta Temp Score: 5.3

VulDB Base Score: ≈5.5
VulDB Temp Score: ≈5.3
VulDB Vector: 🔒
VulDB Reliability: 🔍

CVSSv2

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploiting

Class: Privilege escalation / Code Execution (CWE-269)
Local: Yes
Remote: No

Availability: 🔒
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔒

Threat Intelligence

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasures

Recommended: Upgrade
Status: 🔍
0-Day Time: 🔒

Upgrade: ktlint 0.30.0

Timeline

03/20/2019 CVE assigned
04/02/2019 Advisory disclosed
04/02/2019 VulDB entry created
04/02/2019 VulDB last update

Sources

CVE: CVE-2019-1010260 (🔒)

Entry

Created: 04/02/2019 09:18 PM
Complete: 🔍

Lien vers l'article source

Auteur: VulDB

Catégories: VulDBNombre de vues: 177

x

Événements SSI